﻿var revert = false;
var getRuleOperatorValues = "/Tickets/GetConditionOperators";
var getRuleEnumeratorOrDataType = "/Tickets/GetRuleEnumeratorOrDataType";
var getRuleFieldValuesForSelect2 = "/Tickets/GetConditionsForSelect";
var getActionListForSelect2 = "/Admin/AutomationEvents/GetActionListForSelect2";
var getActionValueTypeAndOptions = "/Admin/AutomationEvents/GetActionValueTypeAndOptions";
var newConditionButton = ".btn-new-automation-condition";
var newActionButton = ".btn-new-automation-action";

$(document).ready(function () {
    $("body").on("change", ".js-requestFormatMethod", function () {
        $(this).closest(".action-for-automation-event").find(".post-group").toggle($(this).val() == 1);
    });

    $(".conditions").on("change", ".condition-for-automation-event .column-type:not(.select2-container)", function () {
        conditionFieldChanged($(this).closest(".condition-for-automation-event"));
    });

    $(".automatic-actions").on("change", ".action-for-automation-event .action-type:not(.select2-container)", function () {
        actionFieldChanged($(this).closest(".action-for-automation-event"));
    });

    $("body").on("click", ".btn-new-automation-condition", function () {
        addNewFiltr();
    });

    $(".conditions").on("click", ".add-button", function () {
        addNewFiltr();
    });

    $("body").on("click", ".btn-new-automation-action", function () {
        addNewAction();
    });

    $(".automatic-actions").on("click", ".add-action-button", function () {
        addNewAction();
    });

    $(".conditions").on("click", ".delete-button", function () {
        deleteCondition($(this));
        if ($(".conditions .condition-for-automation-event").length == 0) {
            $(".btn-new-automation-condition").show();
        }
    });

    $(".automatic-actions").on("click", ".delete-action-button", function () {
        $(this).closest(".action-for-automation-event").remove();
        if ($(".automatic-actions .action-for-automation-event").length == 0) {
            $(".btn-new-automation-action").show();
        }
    });

    $("#AutomationEventsForm").submit(function (event) {
        var resultCondition = findSubcondition($(".conditions").children(".condition-for-automation-event"));
        renameActions(); //prejmenuje prvky na novy name, aby se po POSTu parovalo na model
        return resultCondition && AreActionsValid();
    });

    $('#ddlAreaType').change(function () {
        var selected = $(this).val();

        if ($('.conditions').children().length > 0 || $('.automatic-actions').children().length > 0) {
            if (!confirm('Změnou oblasti přijdete o nastavené podmínky a akce. Opravdu to chcete?')) {
                $(this).val($.data(this, 'current')); //undo
                return false;
            }
        }

        resetConditions();
        resetActions();

        $(this).data('current', $(this).val()); //refresh last selected value to data-current

        $('#ddlEvents').empty(); //reakce do ui

        $.getJSON(RQ_URL + '/Admin/AutomationEvents/GetEventsForAreaJson', {
            areaType: $('#ddlAreaType').val(),
        })
        .done(function (data) {
            $('#ddlEvents').empty(); //zde to má správně být, ne jen před GETem (getJSON)
            $.each(data, function (i, item) {
                $('#ddlEvents').append('<option value="' + item.Value + '">' + item.Text + '</option>')
            });
        });
    });

    $('#ddlAreaType').data('current', $('#ddlAreaType').val()); //init data-current

});