﻿$(document).ready(function () {
    $("#dialog-upload-icon").dialog({
        autoOpen: false,
        resizable: false,
        width: "auto",
        height: "auto",
        modal: true,
        close: function (event, ui) {
            $("#dialogIcon").val("");
        }
    });
});

function openDialogIcon() {
    showDeleteButton = $("#customerLogo").attr("data-deletebutton");
    $("#dialogDeleteIconButton").show();
    if (showDeleteButton != "True") {
        $("#dialogDeleteIconButton").hide();
    }
    $("#dialog-upload-icon").dialog("open");
}

function categoryUploadLogo() {
    $("#FileValidError").hide();
    $("#FileCustomValidError").hide();
    $("#FileValidSizeError").hide();
    var files = $("#dialogIcon").prop("files");
    if (files.length > 0) {
        if (window.FormData !== undefined) {
            var data = new FormData();
            for (var x = 0; x < files.length; x++) {
                data.append("file" + x, files[x]);
            }
            $("#dialogLoadingFiles").show();

            $.ajax({
                type: "POST",
                url: RQ_URL + '/Inventory/InventoryAdministration/UploadIcon/' + id,
                contentType: false,
                processData: false,
                data: data,
                success: function (result) {
                    $("#dialogLoadingFiles").hide();
                    if (result.success) {
                        $("#customerLogo").attr("data-deletebutton", "True");
                        $("#dialog-upload-icon").dialog("close");
                        $("#customerLogo i").closest("div").hide();
                        $("#customerLogo div.customer-logo").show();
                        $("#customerLogo div.customer-logo img").attr("src", RQ_URL + "/Inventory/InventoryAdministration/GetIcon/" + id + "?v" + Math.floor((Math.random() * 100) + 1));
                    }
                    else {
                        $("#FileCustomValidError").html(result.message);
                        $("#FileCustomValidError").show();
                    }
                },
                error: function (xhr, status, p3, p4) {
                    var err = "Error " + " " + status + " " + p3 + " " + p4;
                    if (xhr.responseText && xhr.responseText[0] == "{")
                        err = JSON.parse(xhr.responseText).Message;
                    console.log(err);
                    $("#dialogLoadingFiles").hide();
                    $("#FileValidSizeError").show();
                }
            });
        } else {
            alert("This browser doesn't support HTML5 file uploads!");
        }
    }
    else {
        $("#FileValidError").show();
    }
}

function closeUploadDialog() {
    $("#dialog-upload-icon").dialog("close");
}

function deleteUploadIcon() {
    $.ajax({
        type: "POST",
        url: RQ_URL + '/Inventory/InventoryAdministration/DeleteIcon/' + id,
        contentType: false,
        processData: false,
        success: function (result) {
            $("#customerLogo").attr("data-deletebutton", "False");
            $("#dialog-upload-icon").dialog("close");

            $("#customerLogo i").closest("div").show();
            $("#customerLogo div.customer-logo").hide();
        },
        error: function (xhr, status, p3, p4) {
            var err = "Error " + " " + status + " " + p3 + " " + p4;
            if (xhr.responseText && xhr.responseText[0] == "{")
                err = JSON.parse(xhr.responseText).Message;
            console.log(err);
        }
    });
}